MapBindingResult (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.validation

## Class MapBindingResult

- java.lang.Object
- - org.springframework.validation.AbstractErrors
  - - org.springframework.validation.AbstractBindingResult
    - - org.springframework.validation.MapBindingResult

- All Implemented Interfaces:
    Serializable, BindingResult, Errors

      public class MapBindingResult
      extends AbstractBindingResult
      implements Serializable

  Map-based implementation of the BindingResult interface, supporting registration and evaluation of binding errors on Map attributes.

  Can be used as errors holder for custom binding onto a Map, for example when invoking a Validator for a Map object.

  Since:
    2.0
  Author:
    Juergen Hoeller
  See Also:
    `Map`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.validation.BindingResult

      `MODEL_KEY_PREFIX`

    - ### Fields inherited from interface org.springframework.validation.Errors

      `NESTED_PATH_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapBindingResult(Map<?,?> target, String objectName)` Create a new MapBindingResult instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `getActualFieldValue(String field)` Extract the actual field value for the given field.
    `Object` | `getTarget()` Return the wrapped target object.
    `Map<?,?>` | `getTargetMap()`

    - ### Methods inherited from class org.springframework.validation.AbstractBindingResult

      `addAllErrors, addError, equals, findEditor, formatFieldValue, getAllErrors, getErrorCount, getFieldError, getFieldError, getFieldErrors, getFieldErrors, getFieldType, getFieldValue, getGlobalError, getGlobalErrors, getMessageCodesResolver, getModel, getObjectName, getPropertyEditorRegistry, getRawFieldValue, getSuppressedFields, hasErrors, hashCode, recordSuppressedField, reject, rejectValue, resolveMessageCodes, resolveMessageCodes, setMessageCodesResolver`

    - ### Methods inherited from class org.springframework.validation.AbstractErrors

      `canonicalFieldName, doSetNestedPath, fixedField, getFieldErrorCount, getFieldErrorCount, getGlobalErrorCount, getNestedPath, hasFieldErrors, hasFieldErrors, hasGlobalErrors, isMatchingFieldError, popNestedPath, pushNestedPath, reject, reject, rejectValue, rejectValue, setNestedPath, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.validation.Errors

      `getFieldErrorCount, getFieldErrorCount, getGlobalErrorCount, getNestedPath, hasFieldErrors, hasFieldErrors, hasGlobalErrors, popNestedPath, pushNestedPath, reject, reject, rejectValue, rejectValue, setNestedPath`

- - ### Constructor Detail

    - #### MapBindingResult

          public MapBindingResult(Map<?,?> target,
                          String objectName)

      Create a new MapBindingResult instance.
      Parameters:
        `target` - the target Map to bind onto
        `objectName` - the name of the target object

  - ### Method Detail

    - #### getTargetMap

          public final Map<?,?> getTargetMap()

    - #### getTarget

          public final Object getTarget()

      Description copied from class: `AbstractBindingResult`
      Return the wrapped target object.
      Specified by:
        `getTarget` in interface `BindingResult`
      Specified by:
        `getTarget` in class `AbstractBindingResult`

    - #### getActualFieldValue

          protected Object getActualFieldValue(String field)

      Description copied from class: `AbstractBindingResult`
      Extract the actual field value for the given field.
      Specified by:
        `getActualFieldValue` in class `AbstractBindingResult`
      Parameters:
        `field` - the field to check
      Returns:
        the current value of the field